Subject: Re: linux-next: manual merge of the tip tree with the pm tree

From: "Wysocki, Rafael J" <[email-masked]>
Date: Tue, 6 May 2025 17:07:57 +0200

Hi,

On 5/1/2025 5:58 AM, Stephen Rothwell wrote:
> Hi all,
>
> Today's linux-next merge of the tip tree got a conflict in:
>
>    drivers/cpufreq/intel_pstate.c
>
> between commit:
>
>    ac4e04d9e378 ("cpufreq: intel_pstate: Unchecked MSR aceess in legacy mode")

This one has been merged into 6.15-rc5.

> from the pm tree and commit:
>
>    c435e608cf59 ("x86/msr: Rename 'rdmsrl()' to 'rdmsrq()'")

So this one will clash with the mainline now.

> from the tip tree.
>
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks for the report!